[user]
	email	= sumarac@protonmail.com
	name	= Jovan Djokic-Sumarac
	signingkey	= ~/.ssh/id_ed25519.pub

[diff]
	tool		= nvimdiff
	renames		= true
	wordRegex	= .
	submodule	= log
	mnemonicPrefix	= true
[difftool]
	prompt = false
[difftool "nvimdiff"]
	cmd = "nvim -d \"$LOCAL\" \"$REMOTE\""

[merge]
	tool  = nvimdiff
	ff	  = false
[mergetool]
	prompt = false
[mergetool "nvimdiff"]
	cmd = "nvim -d \"$LOCAL\" \"$REMOTE\" \"$MERGED\" -c 'wincmd w' -c 'wincmd J'"

[alias]
	comit	= commit

	stat	= status -sb
	graph	= log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr)%Creset' --abbrev-commit --date=relative
	last	= log -1
	amend	= commit -S --amend
	blame	= blame -w -C -C -C
	wdiff	= diff --word-diff
	puf		= push --force-with-lease
	commit	= commit -S

	maid	= !git rebase -i $(git log master..$(git rev-parse --abbrev-ref HEAD) --oneline | tail -1 | cut -d' ' -f1)
	flatten	= !git rebase -i $(git log $(git rev-parse --abbrev-ref HEAD) --oneline | tail -1 | cut -d' ' -f1)
	new		= !git fetch --all && git pull && git checkout -b
	publish	= !git push origin $(git rev-parse --abbrev-ref HEAD)
	ship	= !git commit -aS && git publish

[core]
	pager = bat
	whitespace = -trailing-space
	fsmonitor = true

[status]
	submoduleSummary = true
	showUntrackedFiles = all

[color "branch"]
  upstream = cyan

[tag]
	sort = version:refname

[versionsort]
	prereleaseSuffix = -pre
	prereleaseSuffix = .pre
	prereleaseSuffix = -beta
	prereleaseSuffix = .beta
	prereleaseSuffix = -rc
	prereleaseSuffix = .rc

[rerere]
	enabled = true

[column]
	ui = auto

[branch]
	sort = -committerdate

[gpg]
	format = ssh

; [maintenance]
; 	auto = false
; 	strategy = incramental

[fetch]
	writeCommitGraph = true

[rebase]
	updateRefs = true
[init]
	defaultBranch = master
[filter "lfs"]
	required = true
	clean = git-lfs clean -- %f
	smudge = git-lfs smudge -- %f
	process = git-lfs filter-process
